package org.greenstone.gsdl3.gs3build.collection;

import java.util.GregorianCalendar;

import org.greenstone.gsdl3.gs3build.BuildManager;
import org.greenstone.gsdl3.gs3build.doctypes.DocumentID;
import org.greenstone.gsdl3.gs3build.doctypes.DocumentInterface;

public class BuildIDFactory implements IDFactoryInterface
{
	int sequenceNumber;

	public BuildIDFactory(BuildManager manager)
	{
		GregorianCalendar today = new GregorianCalendar();

		String oldBuild = manager.getLastBuildSequence();
		if (oldBuild != null)
		{ this.sequenceNumber = Integer.parseInt(oldBuild);
		}
		else
		{	this.sequenceNumber = 0;
		}
	}

	public DocumentID getDocumentID(DocumentInterface document)
	{	String value = new String(Integer.toString(this.sequenceNumber));
		this.sequenceNumber ++;
		return new DocumentID(value);
	}
}